/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components';





export default function What(props) {
  return(
    <Card>
      <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet"/>
      <div style={{marginBottom: "9px"}}>
        <span>{props.title}</span>
      </div>
      <p>
        Aqui na Plataforma, incentivamos os usuários a comentarem os recursos 
        contando como foi sua experiência de uso. Veja sugestões de pontos a serem abordados no seu comentário:
      </p>
      <ul>
        <li>
          Relatar como utilizou o recurso durante a aula, para que outros 
          professores possam se basear e adaptar para o seu próprio objetivo pedagógico.
        </li>
        <li>Relatar a recepção dos alunos em relação ao recurso.</li>
        <li>Apontar os pontos a serem melhorados no recurso para que o autor tenha a oportunidade de ajustar.</li>
        <li>Apontar os pontos positivos do recurso para que o autor ganhe o devido reconhecimento e prestígio!</li>
        
      </ul>
      
      
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }

  
 
  ul {
    margin-top: 0;
    margin-bottom: 10px;
    line-height: 1.42857143;
  }

  li {
    font-size: 14px;
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }



`