/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";

export default function What(props) {
  return (
    <Card>
      <link
        href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap"
        rel="stylesheet"
      />
      <div style={{ marginBottom: "9px" }}>
        <span>{props.title}</span>
      </div>
      <p>
        Bem-vindo(a) à Plataforma MEC, uma iniciativa do Ministério da Educação!
      </p>
      <p>
        A Plataforma MEC é parte do processo de implementação do Compromisso 6
        do 3º Plano de Ação da Parceria Governo Aberto (OGP-Brasil), que tem por
        objetivo “incorporar na política educacional o potencial da cultura
        digital, de modo a fomentar a autonomia para uso, reuso e adaptação de
        recursos educacionais digitais, valorizando a pluralidade e a
        diversidade da educação brasileira”. O documento completo pode ser
        consultado{" "}
        <a href="http://www.governoaberto.cgu.gov.br/noticias/2017/3o-plano-de-acao-nacional-na-parceria-para-governo-aberto">
          aqui
        </a>
        .
      </p>
      <p>
        <strong>Abertos</strong>
        <br />
        Recursos que, no mínimo, têm uma licença de uso mais flexível. Uma
        licença que permite que o recurso possa ser utilizado, alterado e
        manipulado sem restrições. Adicionalmente, um recurso aberto pode
        utilizar um formato aberto, um formato de arquivo que permite a fácil
        edição por terceiros. Nenhum controle (como cadastro e senha) deve
        existir para acesso a recursos abertos.
      </p>
      <p>
        <strong>Grátis</strong>
        <br />
        Recursos para os quais os usuários não têm que fazer qualquer desembolso
        monetário, mas que exibem certas restrições: usualmente não podem ser
        baixados ou alterados. E, muitas vezes, como os recursos fechados, é
        necessário cadastro ou troca de informações pessoais para seu uso.
      </p>
      <p>
        <strong>Fechados</strong>
        <br />
        Recursos que criam restrições ao seu acesso, uso ou reuso. Como exemplo,
        podemos mencionar recursos que só são acessíveis mediante cadastro, que
        são pagos, ou que têm licenças restritivas (como “todos os direitos
        reservados”, o símbolo ©).
      </p>

      <p>
        O Plano Nacional de Educação (2014-2024) enfatiza, nas metas 5 e 7, a
        importância dos recursos educacionais abertos para fomentar a qualidade
        da educação básica.
      </p>
      <p>
        A Resolução CNE/CES nº 1, de 11 de março de 2016, também enfatiza a
        importância dos recursos educacionais abertos para as instituições de
        educação superior e para as atividades de educação a distância,
        promovendo “a criação, disponibilização, uso e gestão de tecnologias e
        recursos educacionais abertos, por meio de licenças livres, que
        facilitem o uso, a revisão, a tradução, a adaptação, a recombinação, a
        distribuição e o compartilhamento gratuito pelo cidadão, resguardados os
        direitos autorais pertinentes.”
      </p>
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }

  a {
    color: #00bcd4;
    text-decoration: none;
    :hover {
      text-decoration: underline;
    }
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }
`;
