import React, {useState} from 'react'
import {Content, ButtonsArea} from './PartOne.js'
import {ButtonCancelar, ButtonGrey} from './PartTwo.js'
import FormControl from '@material-ui/core/FormControl';
import InputLabel from '@material-ui/core/InputLabel';
import Stepper from '../Stepper.js'
import FormInput from '../FormInput.js'
import styled from 'styled-components'
import {Button} from '@material-ui/core'

export default function PartThree (props) {
    const [phoneNumber, setPhoneNumber] = useState(
        {
            flagInvalid : false,
            number : ''
        }
    )
    const handleChangePhoneNumber = (event) => {
        const input = event.target.value.replace(/\D/,'')
        setPhoneNumber({...phoneNumber,
            flagInvalid : (input.length < 9 ? true : false),
            number : (input.length > 9 ? phoneNumber.number : input),
        })
    }

    const [cpf, setCpf] = useState( {
        flagInvalid : false,
        number : ''
    })
    const handleChangeCpf = (event) => {
        const input = event.target.value.replace(/\D/,'')
        setCpf({...cpf,
            flagInvalid : (input.length < 11 ? true : false),
            number : (input.length > 11 ? cpf.number : input),
        })
    }

    const handleSubmit = () => {
        const submit_phone = phoneNumber.number
        const submit_cpf = cpf.number

        props.handleSubmit(submit_phone, submit_cpf)
    }

    return (
        <>
        {console.log(props)}
        <Content>
            <h4>Vamos localizar o seu cadastro:</h4>
            <Stepper items={props.stepper}/>
            <form style={{textAlign:"start"}}>
                <span>CENTRO EDUC INF MEU PEDACINHO DE CHAO</span>
                <FormControl required style={{width:"100%"}}>
                     <p>Inserir o telefone da escola:</p>
                     <FormInput
                        inputType={'text'}
                        pattern="[0-9]"
                        name={'DDD e Número'}
                        placeholder={'DDD e Número'}
                        value={phoneNumber.number}
                        handleChange={handleChangePhoneNumber}
                        error={phoneNumber.flagInvalid}
                     >
                     </FormInput>
                </FormControl>
                <FormControl required style={{width:"100%"}}>
                     <p>Inserir o seu CPF</p>
                     <FormInput
                        inputType={'text'}
                        name={'11 dígitos'}
                        placeholder={'11 dígitos'}
                        value={cpf.number}
                        handleChange={handleChangeCpf}
                        mask={'999.999.999-99'}
                        error={cpf.flagInvalid}
                     >
                     </FormInput>
                </FormControl>
                <div style={{display:"flex", justifyContent:"space-evenly",paddingTop:"10px", paddingBottom:"10px"}}>
                    <div style={{display:"flex", justifyContent:"center"}}>
                        <ButtonConfirmar onClick={( (cpf.flagInvalid || phoneNumber.flagInvalid) ? () => {console.log('cpf.flagInvalid: ', cpf.flagInvalid, 'phoneNumber.flagInvalid: ', phoneNumber.flagInvalid)} : handleSubmit)}>BUSCAR</ButtonConfirmar>
                    </div>
                    <div style={{display:"flex", justifyContent:"center"}}>
                        <ButtonGrey onClick={() => props.goBack(false, true, false)}>VOLTAR</ButtonGrey>
                        <ButtonCancelar onClick={props.handleCancelar}>CANCELAR</ButtonCancelar>
                    </div>
                </div>
            </form>
            </Content>
        </>
    )
}

const ButtonConfirmar = styled(Button)`
    background-color : #00bcd4 !important;
    color : #fff !important;
    box-shadow : none !important;
    font-family : 'Roboto',sans-serif !important;
    font-size : 14px !important;
    font-weight : bold !important;
    height : 36px !important;
    border-radius : 3px !important;
    padding-left : 16px !important;
    padding-right : 16px !important;
    vertical-align : middle !important;
    text-align : center !important;
    align-items : center !important;

`
