import React from 'react'
import styled from 'styled-components'
import {ButtonConfirmar} from './PartOne.js'
import Comentarios from '../../img/comentarios.png'

export default function SuccessfulRequest (props) {
    const h4Text = 'Obrigado por fazer parte dessa rede!'
    const pText = 'Em breve você poderá publicar os seus próprios reursos educacionais digitais. O MEC analisará as suas informações junto a escola e você será avisada(o) aqui na plataforma e em seu email: '

    const redirect = () => {
        props.history.push('/')
    }
    
    return (
        <div style={{maxWidth:"575px", padding : "0 36px"}}>
            <div style={{display : "flex", flexDirection : "column"}}>
                <StyledH4>{h4Text}</StyledH4>
                <TextDiv>
                    <p>{pText} <b>{props.email}</b>.</p>
                </TextDiv>
                <div style={{display : 'flex', flexDirection : 'row', justifyContent : "center"}}>
                    <ButtonConfirmar onClick={redirect}>VOLTAR À PAGINA INICIAL</ButtonConfirmar>
                </div>
                <ImageDiv/>
            </div>
        </div>
    )
}

const ImageDiv = styled.div`
    height : 500px;
    background-image : url(${Comentarios});
    background-repeat : no-repeat;
    background-position : center center;
`

const TextDiv = styled.div`
    display : flex;
    flex-direction : row;

    p {
        text-align : justify;
        font-family: Roboto;
        font-style : normal;
        font-weight : 400;
        line-height : 21px;
        font-size : 15px;
        margin : 0 0 10px;
    }
`

const StyledH4 = styled.h4`
    font-family : Roboto;
    font-style : normal;
    font-weight : 300;
    line-height : 36px;
    font-size : 26px;
    margin-top : 20px;
    margin-bottom : 20px;
`
