import React, {Component} from 'react';
import {Container} from 'react-grid-system';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import styled from 'styled-components'


export default function ShinyProgressBar(props) {
    return (
      <ProgressBar>
        <ShinyFiller percentage={props.percentage}/>    
      </ProgressBar>
    );
}

const ShinyFiller = (props) => {
    return (
        <StyledFiller style={{ width: `${props.percentage}%` }}>
            <FillerShine/>
        </StyledFiller>
    );
}

const FillerShine = (props) => {
    return <StyledShine/>
}

const ProgressBar = styled.div`
    background: #C4C4C4;
    position: relative;
    height: 30px;
    width: 100%;
    border-radius: 50px;
    margin-left:20px;
    margin-right:20px;
`

const StyledFiller = styled.div`
    background: #02A4B9;
    height: 100%;
    border-radius: 50px;
    transition: width 1s ease-in;
`

const StyledShine = styled.div`
    position: relative;
    top: 5px;
    left: 15px;
    background: #03C0CE;
    height: 25%;
    width: 95%;
    border-radius: 50px;
    transition: width 1s ease-in;
    z-index: +1;
`