/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';
import '../App.css';
import Sidebar from "react-sidebar";
import BT from './Button';

class SidebarMenu extends Component {
    constructor(props) {
      super(props);
      this.state = {
        sidebarOpen: false
      };
      this.onSetSidebarOpen = this.onSetSidebarOpen.bind(this);
    }

    onSetSidebarOpen(open) {
      this.setState({ sidebarOpen: open });
    }

    render() {
      return (
          <Sidebar
            sidebar={
              <div>
                <div>
                  <BT name={"="} method={this.onSetSidebarOpen} parameter={false}/>
                  <BT name={"FECHAR"} method={this.onSetSidebarOpen} parameter={false}/>
                </div>
                <BT name={"Página Inicial"}/>
                <BT name={"Sobre a Plataforma"}/>
                <BT name={"Contato"}/>
                <BT name={"Central de Ajuda"}/>
                <BT name={"Termos de Uso"}/>

              </div>
            }
            open={this.state.sidebarOpen}
            onSetOpen={this.onSetSidebarOpen}
            styles={{root: {
                      position: "inherit",
                      overflow: "hidden"
                    },
                    sidebar: {
                      zIndex: 2,
                      position: "absolute",
                      background: "white"
                    },
                    content: {
                      position: "relative",
                      overflowY: "auto",
                      WebkitOverflowScrolling: "touch",
                      transition: "left .3s ease-out, right .3s ease-out"
                    },
                    overlay: {
                      zIndex: 1,
                      position: "fixed",
                      visibility: "hidden"
                    },
                    dragHandle: {
                      zIndex: 1,
                      position: "fixed"
                    }
                  }}
           >
           <BT name={"= MENU"} method={this.onSetSidebarOpen} parameter={true}/>
          </Sidebar>
      );
    }
  }

export default SidebarMenu;
