import React from 'react'
import styled from 'styled-components'
import Grid from '@material-ui/core/Grid';

export default function PanelTitle (props) {
    return (
        <Header container>
            <Grid item xs={12}>
                <p className="titulo">{props.title} <b style={{fontWeight:"500", fontSize : "20px"}}>({props.length})</b></p>
                <hr/>
            </Grid>
        </Header>
    )
}

const Header = styled(Grid)`
    margin-bottom : 15px;
    padding : 0;

    .titulo {
        margin : 0;
        font-style : normal;
        color : #757575;
        font-size : 1.857em;
        padding-left : 15px;
        padding-right : 15px;
        margin-top : 10px;
        margin-bottom : 5px;
    }

    hr {
        border : 0;
        margin : 0 15px 0 15px;
        border-top : 1px solid #757575;
    }
`
