import React from 'react'
import Grid from '@material-ui/core/Grid';
import {HeaderGrid, StyledGrid} from '../StyledComponents.js'
import {NoContent} from './TabInicio.js'
import CollectionCardFunction from '../../CollectionCardFunction.js'
import NoCol from '../../../img/Pagina_vazia_colecao.png'

export default function LastCols (props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={12}>
                    <h3>Últimas alterações em coleções</h3>
                </Grid>
            </HeaderGrid>


            {
                props.count == 0  || props.collections.length == 0?
                (
                    [
                        <Grid container>
                            <Grid item xs={12}>
                                <NoContent
                                    image={NoCol}
                                    text1={props.username + " ainda não disponibilizou nenhuma coleção."}
                                    text2={"Quando disponibilizar, elas aparecerão aqui."}
                                />
                            </Grid>
                        </Grid>
                    ]
                )
                :
                (
                    [
                        <StyledGrid container spacing={1} style={{paddingLeft : "0.5em"}}>
                            {
                                props.collections.slice(0,4).map( (card) =>
                                    <Grid item md={3} xs={12} key={card.id}>
                                        <CollectionCardFunction
                                            name={card.name}
                                            rating={card.score}
                                            type={card.object_type}
                                            description={card.description}
                                            author={card.owner.name}
                                            avatar={card.owner.avatar}
                                            thumbnails={card.items_thumbnails}
                                            likeCount={card.likes_count}
                                            liked={card.liked}
                                            followed={card.followed}
                                            tags={card.tags}
                                        />
                                    </Grid>
                                )
                            }
                        </StyledGrid>
                    ]
                )
            }
        </React.Fragment>
    )
}
