import React from 'react'
import Grid from '@material-ui/core/Grid';
import ResourceCardFunction from '../../ResourceCardFunction.js'
import NoPub from '../../../img/Pagina_vazia_Sem_publicar.png'
import {HeaderGrid, StyledGrid} from '../StyledComponents.js'
import {NoContent} from './TabInicio.js'

export default function LastLearnObjs (props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={9}>
                    <h3>Últimos Recursos Publicados</h3>
                </Grid>
                <Grid item xs={3} style={{textAlign : "end"}}>
                    {props.count > 4 &&
                        <span>
                            VER MAIS
                        </span>
                    }
                </Grid>
            </HeaderGrid>

            {
                props.count == 0 ?
                (
                    [
                        <Grid container>
                            <Grid item xs={12}>
                                <NoContent
                                    image={NoPub}
                                    text1={props.username + " ainda não disponibilizou nenhum recurso."}
                                    text2={"Quando disponibilizar, eles aparecerão aqui."}
                                />
                            </Grid>
                        </Grid>
                    ]
                )
                :
                (
                    [
                        <StyledGrid container spacing={1} style={{paddingLeft : "0.5em"}}>
                            {
                                props.learningObjs.slice(0,4).map( (card) =>
                                    <Grid item md={3} xs={12} key={card.id}>
                                        <ResourceCardFunction
                                            avatar = {card.publisher.avatar}
                                            thumbnail = {card.thumbnail}
                                            type = {card.object_type ? card.object_type : "Outros"}
                                            title={card.name}
                                            published={card.state === "published" ? true : false}
                                            likeCount={card.likes_count}
                                            liked={card.liked}
                                            rating={card.score}
                                            tags={card.educational_stages}
                                        />
                                    </Grid>
                                )
                            }
                        </StyledGrid>
                    ]
                )
            }
        </React.Fragment>
    )
}
