import React, {useState, useEffect} from 'react'
import styled from 'styled-components'
import {HeaderGrid, ContainerStyled, Carregados} from '../StyledComponents.js'
import Grid from '@material-ui/core/Grid';
import ResourceCardFunction from '../../ResourceCardFunction.js'
import {ButtonMostrarMaisRecurso} from '../PanelComponents/ButtonsArea'

export default function TabRecursos (props) {
    const [arr, setArr] = useState([])
    const [objsSlice, setSlice] = useState([])
    const handleSlice = (newArr) => {setSlice(newArr)}

    useEffect( () => {
        setArr(props.learningObjs)
        setSlice(props.learningObjs.slice(0,4))
    }, [])

    const showMore = (quantity) => {
        var sliceLength = objsSlice.length
        handleSlice(arr.slice(0, sliceLength + quantity))
    }

    return (
        <ContainerStyled style={{flexDirection : "column"}}>

            <HeaderGrid container>
                <Grid item xs={12}>
                    <h3>Recursos Publicados <b style={{fontWeight:"500"}}>({props.count})</b></h3>
                </Grid>
            </HeaderGrid>

            <Grid container spacing={1} style={{paddingLeft : "0.5em"}}>
                {
                    objsSlice.map( (card) =>
                        <Grid item md={3} xs={12} key={card.id}>
                            <ResourceCardFunction
                                avatar = {card.publisher.avatar}
                                thumbnail = {card.thumbnail}
                                type = {card.object_type ? card.object_type : "Outros"}
                                title={card.name}
                                published={card.state === "published" ? true : false}
                                likeCount={card.likes_count}
                                liked={card.liked}
                                rating={card.score}
                                tags={card.educational_stages}
                            />
                        </Grid>
                    )
                }
            </Grid>

            <Carregados>
                <p style={{margin:"0 0 10px", fontSize:"14px"}}>
                    Carregados {objsSlice.length} de {arr.length}
                </p>

                {
                    props.count > 5 &&
                    <React.Fragment>
                        <ButtonMostrarMaisRecurso onClick={() => {showMore(4)}}>
                            <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS 4</span>
                        </ButtonMostrarMaisRecurso>

                        <ButtonMostrarMaisRecurso onClick={() => {showMore(20)}}>
                            <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS 20</span>
                        </ButtonMostrarMaisRecurso>
                    </React.Fragment>
                }

            </Carregados>

        </ContainerStyled>
    )
}
