/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from "react";
import styled from "styled-components";
import Banner1 from "../img/banner-sobre.jpg";
import InputFormulario from "../Components/ContactForm.js";

const Secao1 = styled.div`
  width: 100%;
  background-image: url(${Banner1});
  background-size: cover;
  background-position: bottom center;
  height: 250px;
  color: #fff;
  line-height: 1.1;
  text-align: center;
  padding-top: 120px;

  h2 {
    font-family: Pompiere, cursive;
    font-size: 52px;
    color: #fff;
    margin: 0;
    padding-left: 0;
    padding-right: 0;
    font-weight: 500;
  }

  h3 {
    margin-top: 20px;
    margin-bottom: 10px;
    font-family: Roboto, sans-serif;
    font-size: 30px;
    font-weight: lighter;
  }
`;

const Secao2 = styled.div`
  height: 708px;
  background-color: #f4f4f4;
  display: flex;
  justify-content: center;
  align-items: center;
`;

const Secao3 = styled.div`
  height: 127px;
  background-color: #f4f4f4;
  color: #666;
  line-height: 1.42857143;
  font-size: 18px;
  text-align: center;
  padding-top: 70px;

  p {
    margin: 0 0 10px 0;
  }
`;

const Formulario = styled.div`
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 40px;
  height: 560px;
  width: 480px;
  color: #666;

  form .inputBlock {
    margin-block: 22px;

  }

  form .inputBlock label {
    font-size: 14px;
    font-weight: bold;
    display: block;

  }

  form .inputBlock input {
    width: 100%;
    height: 32px;
    font-size: 14px;
    border: 0;
    border-bottom: 1px solid #eee;

  }

  form .inputBlock.Message input {
    height: 131px;
  }

  form buttom[type=submit] {
    width: 100%;
    border: 0;
    margin-top: 30px;
    background: #7d40e7
    border-radius: 2px;
    padding: 15px 20px;
    font-size: 16px;
    font-weight: bold;
    color: #fff;
    cursor: pointer;
    transition: background 0.5s;

  }

  form buttom[type=submit]:hover {
    background: #6931ac
  }


  h2 {
    font-size: 24px;
    font-weight: lighter;
    margin-bottom: 50px;
    margin-top: 20px;
    text-align: center;

  }
`;

function Contact(props) {
  return (
    <>
      <link
        href="https://fonts.googleapis.com/css?family=Kalam|Pompiere|Roboto:300,400&display=swap"
        rel="stylesheet"
      />
      <Secao1>
        <h2>CONTATO</h2>
        <h3>Quer enviar uma mensagem?</h3>
      </Secao1>

      <Secao2>
        <Formulario noValidate autoComplete="off">
          <h2>
            Entre em contato para enviar dúvidas,
            <br />
            sugestões ou críticas
          </h2>
          <InputFormulario />
        </Formulario>
      </Secao2>

      <Secao3>
        <span>MEC - Ministério da Educação </span>
        <p>
          Endereço: Esplanada dos Ministérios Bloco L - Ed.Sede e Anexos. CEP:
          70.047-900 - Brasília/DF. Telefone: 0800 616161
        </p>
      </Secao3>
    </>
  );
}

export default Contact;
